<script setup>
const props = defineProps({
  to: {
    type: String,
    required: true,
  },

  title: {
    type: String,
    required: true,
  },

  imagePath: {
    type: String,
    required: true,
  },

  titleBgPath: {
    type: String,
    required: true,
  },

  // Must pass correct tailwind classes.
  boxWidths: {
    type: Object,
    default: () => ({
      default: 'w-[350px]',
      lg: 'lg:w-[485px]',
    }),
    validator: (value) => !!value.default && !!value.lg,
  },

  // Must pass correct tailwind classes.
  titleClasses: {
    type: Array,
    required: true,
  },
});
</script>

<template>
  <NuxtLink
    :class="[
      'block',
      props.boxWidths.default,
      props.boxWidths.lg,
      'text-white',
      'text-xl',
      'uppercase',
      'transition-opacity',
      'hover:underline',
      'hover:opacity-80',
      'active:opacity-70',
    ]"
    :to="props.to"
  >
    <h1
      :class="[
        'flex',
        'bg-no-repeat',
        'bg-contain',
        'mx-auto',
        ...props.titleClasses,
      ]"
      :style="{ backgroundImage: `url('${props.titleBgPath}')` }"
    >
      <span class="font-cream text-center px-6">
        {{ props.title }}
      </span>
    </h1>

    <img :src="props.imagePath" class="mx-auto -mt-3" />
  </NuxtLink>
</template>
